function testEstimateRecovered()
% To get a reconstruction of the Recovered
close all;
clear all;
country='UK'
countrylist=GetCoronaCountryList;
pars=GetCoronaParameters(country)
% 
[C, R, D]=GetCoronaData(country);
[Cr, Rr, Dr]=GetCoronaDatarepaired(country);

Clen=length(C)
I=C-R-D;
figure
semilogy(1:Clen,C,'b',1:Clen,I,'k',1:Clen,R,'g',1:Clen,D,'r')
title(sprintf('Raw data for %s',country))
legend('C','I','R','D',-1)
xlabel('Days from Jan. 22nd, 2020')
kdays=14
% tstart=pars(1)
% tstart=65
gCF=estimate_gCF_series(C, D, R, kdays, pars(1), Clen) ;
figure
plot(gCF)
title('gCFseries')
figure
semilogy(1:Clen,C,'b',1:Clen,I,'k',1:Clen,R,'g',1:Clen,D,'r')

% 
% Rfull=zeros(size(C));
% for currend=Clen:-1:pars(1)+2*kdays+1
%     tend=currend;
%     tstart=currend-2*kdays;
%     pR2=estimateRecoveredLinNew(Cr, Dr, R, kdays, tstart, tend);
%     ER2=pR2(kdays+2:end);
%     Rfull(tstart:tend)=ER2(tstart:tend);
% end
% hold on 
% semilogy(1:Clen, Rfull,'c')
% hold on
% semilogy(1:Clen, I, 'k', 1:Clen, C-D-Rfull,'k:')
% 

pR3=estimateRecoveredLinNew(Cr, Dr, R, kdays, pars(1), Clen);
ER3=pR3(kdays+2:end);

hold on 
semilogy(1:Clen, ER3,'m')
hold on
semilogy(1:Clen, C-R-D, 'k', 1:Clen, C-D-ER3,'k-.',1:Clen, R,'g')
