function testrule()
close all;
clear all;
t=0:0.001:0.15;
gam=0.005;
delta=0.5;
f=gam*(1-exp(-t*delta/gam));
figure
plot(t,f)
title('Infection fatality as function of case fatality')
xlabel('Case fatality')

figure
plot(t,f./t)
title('Detection rate as function of case fatality')
xlabel('Case fatality')
vals=[0.047    0.106 ;...
0.094    0.053 ;...
0.138    0.036 ;...
0.085    0.059 ;...
0.157    0.032 ;...
0.052    0.096 ;...
0.122    0.041 ;...
0.145    0.035 ;...
0.067    0.075]
hold on
plot(vals(:,1),vals(:,2),'rx')